variable "namespace" {
  description = "namespace"
  sensitive   = false
  type        = string
}

variable "app_name" {
  description = "database name"
  sensitive   = false
  type        = string
}

variable "root_password" {
  description = "root password"
  sensitive   = true
  type        = string
}

variable "app_password" {
  description = "user password"
  sensitive   = true
  type        = string
}

variable "database_folder" {
  description = "host storage path"
  type        = string
}

variable "cron_schedule" {
  description = "Cronjob schedule for data backups"
  default     = "* 2 * * *"
  type        = string
}

variable "retention_days" {
  description = "Backup retention days"
  default     = 14
  type        = number
}

variable "current_version" {
  description = "version"
  default     = "10.7.8"
  type        = string
}

variable "backup_folder" {
  description = "Backup source location"
  type        = string
}

variable "tls_enabled" {
  description = "Enable SSL for MariaDB"
  default     = false
  type        = bool
}

variable "issuer" {
  description = "Issuer for SSL certificate"
  default     = "internal-ca"
  type        = string
}
